Subject: Re: [PATCH][v5][0/24] Latest IB patch queue

From: "David S. Miller" <[email-masked]>
Date: Tue, 28 Dec 2004 14:17:10 -0800

On Tue, 28 Dec 2004 11:48:13 -0800
Roland Dreier <[email-masked]> wrote:

> Speaking of build failures, one of my test builds is cross-compiling
> for sparc64 with gcc 3.4.2, which adds __attribute__((warn_unused_result))
> to copy_to_user() et al.  The -Werror in the arch/sparc64 means the
> build fails with

Thanks, I'll check that out.

I believe that you didn't test the sparc64 build of the infiniband stuff
because arch/sparc64/Kconfig needs to explicitly include the infiniband
Kconfig since it does not use drivers/Kconfig.  You didn't send me any
such changes.

There are a few platforms which also are in this situation.
I added the sparc64 one to my tree while integrating your changes,
but the others need to be attended to if you wish infiniband to
be configurable on them.